Skip to main content
POST
/
generation
/
luma
/
ray-2
Luma Ray2
curl --request POST \
  --url https://open.skills.video/api/v1/generation/luma/ray-2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "<string>",
  "status": "starting",
  "usage": {
    "total": 0,
    "subscription": 0,
    "permanent": 0
  }
}
Luma Dream Machine Ray2 for text-to-video and image-to-video.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

application/json
prompt
string
required

Text prompt for video generation

n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4
first_frame_url
string<uri>

Initial image to start the video from.

end_frame_url
string<uri>

Final image to end the video with.

aspect_ratio
enum<string>
default:16:9

The aspect ratio of the generated video

Available options:
16:9,
9:16,
4:3,
3:4,
21:9,
9:21
loop
boolean

Whether the video should loop

resolution
enum<string>
default:540p

The resolution of the generated video

Available options:
540p,
720p,
1080p
duration
default:5

Duration of the video in seconds.

Response

Generation status

id
string
required

Generation id.

status
enum<string>
required

Generation status

Available options:
starting,
processing,
succeeded,
failed,
canceled
usage
object
required

Credit usage breakdown for the request